Bug 495633 - MD5Sum mismatch errors with some repos
MD5Sum mismatch errors with some repos
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On: 512518
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 02:57 EDT by Eli Wapniarski
Modified: 2010-06-28 07:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1 of 2 Metadata file for rpmfusion free updates (618.00 KB, application/x-sqlite3)
2009-04-15 03:47 EDT, Eli Wapniarski
no flags Details
2 of 2 metadata files for rpmfusion free updates (1.23 MB, application/x-sqlite3)
2009-04-15 03:49 EDT, Eli Wapniarski
no flags Details
kde-redhat sqlite databases and xml files attachement 1 / 3 (3.46 MB, application/x-sqlite3)
2009-05-12 01:22 EDT, Eli Wapniarski
no flags Details
kde-redhat sqlite databases and xml files attachement 2 / 3 (577.00 KB, application/x-sqlite3)
2009-05-12 01:24 EDT, Eli Wapniarski
no flags Details
kde-redhat sqlite databases and xml files attachement 3 / 3 (1.91 KB, application/xml)
2009-05-12 01:25 EDT, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2009-04-14 02:57:59 EDT
Current Installed Version
-------------------------
apt-0.5.15lorg3.95-0.git416.3.fc10.x86_64

I am constantly getting MD5Sum mismatch errors or file not found errors with apt-get when yum seems to handle this just fine. Below is an example of the latest problem.

Get:1 http://download1.rpmfusion.org free/fedora/updates/10/x86_64/ faac-devel 1.28-1.fc10 [6606B]                                                          
Get:2 http://download1.rpmfusion.org free/fedora/updates/10/x86_64/ faac 1.28-1.fc10 [87.2kB]                                                               
Get:3 http://download1.rpmfusion.org free/fedora/updates/10/x86_64/ gnome-mplayer 0.9.5-1.fc10 [175kB]                                                      
Get:4 http://download1.rpmfusion.org free/fedora/updates/10/x86_64/ gnome-mplayer-common 0.9.5-1.fc10 [156kB]                                               
Get:5 http://download1.rpmfusion.org free/fedora/updates/10/x86_64/ gecko-mediaplayer 0.9.5-1.fc10 [178kB]                                                  
Fetched 603kB in 4s (123kB/s)                                                                                                                               
Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./faac-devel-1.28-1.fc10.x86_64.rpm  MD5Sum mismatch                          
Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./faac-1.28-1.fc10.x86_64.rpm  MD5Sum mismatch                                
Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./gnome-mplayer-0.9.5-1.fc10.x86_64.rpm  MD5Sum mismatch                      
Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./gnome-mplayer-common-0.9.5-1.fc10.x86_64.rpm  MD5Sum mismatch               
Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./gecko-mediaplayer-0.9.5-1.fc10.x86_64.rpm  MD5Sum mismatch
Comment 1 Axel Thimm 2009-04-14 03:06:49 EDT
Have you tried apt-get update in between to make sure this is not a cache problem?
Also try removing all metadata and start the update/upgrade commands again.

This looks more like a proxy/cache misconfiguration than an apt issue.
Comment 2 Eli Wapniarski 2009-04-14 03:36:31 EDT
Certainly.
Comment 3 Eli Wapniarski 2009-04-14 03:38:01 EDT
> This looks more like a proxy/cache misconfiguration than an apt issue.  

No sir... This looks more like a parsing issue which has plagued apt since the change in the format of the metadata.
Comment 4 Axel Thimm 2009-04-14 05:05:20 EDT
(In reply to comment #3)
> > This looks more like a proxy/cache misconfiguration than an apt issue.  
> 
> No sir... This looks more like a parsing issue which has plagued apt since the
> change in the format of the metadata.  

Can you explain why it only affects rpmfusion and not for example the standard fedora and updates repos?
Comment 5 Eli Wapniarski 2009-04-14 09:05:58 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > > This looks more like a proxy/cache misconfiguration than an apt issue.  
> > 
> > No sir... This looks more like a parsing issue which has plagued apt since the
> > change in the format of the metadata.  
> 
> Can you explain why it only affects rpmfusion and not for example the standard
> fedora and updates repos?  

First off it doesn't. I've seen this with kde-redhat as well. And your question exaclty makes the point. Can you explain why I have not problem with yum.

Often, with kde-redhat. I see 404 http errors. With yum the file downloads just fine. I know that I am trying to get the file from the exact same location because I am not using mirrors with the kde-redhat repo.

So your question is absolutely relevant. Why indeed do I not see these issue with yum.
Comment 6 Eli Wapniarski 2009-04-14 09:30:51 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > > This looks more like a proxy/cache misconfiguration than an apt issue.  
> > 
> > No sir... This looks more like a parsing issue which has plagued apt since the
> > change in the format of the metadata.  
> 
> Can you explain why it only affects rpmfusion and not for example the standard
> fedora and updates repos?  

First off it doesn't. I've seen this with kde-redhat as well. And your question exaclty makes the point. Can you explain why I have not problem with yum.

Often, with kde-redhat. I see 404 http errors. With yum the file downloads just fine. I know that I am trying to get the file from the exact same location because I am not using mirrors with the kde-redhat repo.

So your question is absolutely relevant. Why indeed do I not see these issue with yum.
Comment 7 Axel Thimm 2009-04-14 13:13:58 EDT
Let's dig some more: You are not using this repo for the first time with apt, are you? If not, it means that it worked for some time and then stopped working. What changed between these two states? Did you change the apt version? Modify sources?

BTW are your sources ending with slashes? If so could you remove them?
Comment 8 Eli Wapniarski 2009-04-14 13:29:25 EDT
No. Its not. This problem shows up intermittently. Apt is my tool of choice. But when I've run into the problems mentioned I've usually either manually downloaded and installed the package or used yum.

There has been no change for some time since Panu provided the various fixes for the metadata incompatibility.

I fixed the sources... Thanks. Uninstalled and then tried apt-get again.

No joy. Same error message about the MD5Sum mismatch.

Version of apt installed apt-0.5.15lorg3.95-0.git416.3.fc10.x86_64
Comment 9 Axel Thimm 2009-04-14 14:00:33 EDT
(In reply to comment #8)
> I fixed the sources... Thanks. Uninstalled and then tried apt-get again.
> 
> No joy. Same error message about the MD5Sum mismatch.

Are you sure? I would had expected the /./ to not come up again.

You can still try something else to find out whether the package never arrives or is misparsed by apt: Install wireshark and while running the faulty apt command run in a separate terminal

# tshark -i any host download1.rpmfusion.org

It should give something like
[...]
 28.073384 xxx.xxx.xxx.xxx -> 193.28.235.60 HTTP GET //free/fedora/updates/10/x86_64/faac-devel-1.28-1.fc10.x86_64.rpm HTTP/1.0 
[...]

with a return code of HTTP/1.0 200 OK. The package should also appear under /var/cache/apt, but using wireshark make sure you even see it if it had been deleted.

If the package does traverse the wire, then the "Failed to fetch" error just points to the md5sum issue, so one can then concentrate on this part.
Comment 10 Eli Wapniarski 2009-04-14 16:07:03 EDT
The file with MD5Sum errors get downloaded.

However, sometimes I get 404 errors with apt where yum gets the file from the exact same location.

Two different circumstances.

And yes, I'm sure that I still get the MD5Sum errors.
Comment 11 Axel Thimm 2009-04-15 02:56:25 EDT
(In reply to comment #10)
> The file with MD5Sum errors get downloaded.
> 
> However, sometimes I get 404 errors with apt where yum gets the file from the
> exact same location.
> 
> Two different circumstances.
> 
> And yes, I'm sure that I still get the MD5Sum errors.  

OK, AFAIU with rpmfusion you get the files, but have md5sum errors and sometimes with kde-redhat you get 404 errors.

I would say that these are two different issues, the one with kde-redhat may be really due to the repo updates or caching.

For the 404 issues try wget URL right after the failure to see whether the files that apt wanted to download exists or not. I would guess that not and in that case it would mean that apt uses an old cache package list, be it due to lack of apt-get update or a cache in between or some other issue. In any case it sounds quite different than the md5sum issue and deserves a separate entry. So the next time you get 404 errors, please try to have apt refetch the metadata and if it still fails, but works with other depsolvers like yum, please create  anew bug with the output and also please keep all of apt's metadata for further analysis.

For the md5sum errors - I see that you tagged this a rawhide bug, but are poiting to F10 repos and are using the F10 apt. Is the rawhide version correct or not? If so, can you please try apt-0.5.15lorg3.95-0.git416.4.fc11 instead?
Comment 12 Eli Wapniarski 2009-04-15 03:21:29 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > The file with MD5Sum errors get downloaded.
> > 
> > However, sometimes I get 404 errors with apt where yum gets the file from the
> > exact same location.
> > 
> > Two different circumstances.
> > 
> > And yes, I'm sure that I still get the MD5Sum errors.  
> 
> OK, AFAIU with rpmfusion you get the files, but have md5sum errors and
> sometimes with kde-redhat you get 404 errors.
> 
> I would say that these are two different issues, the one with kde-redhat may be
> really due to the repo updates or caching.
> 
> For the 404 issues try wget URL right after the failure to see whether the
> files that apt wanted to download exists or not. I would guess that not and in
> that case it would mean that apt uses an old cache package list, be it due to
> lack of apt-get update or a cache in between or some other issue. In any case
> it sounds quite different than the md5sum issue and deserves a separate entry.
>> So the next time you get 404 errors, please try to have apt refetch the
> metadata and if it still fails, but works with other depsolvers like yum,
> please create  anew bug with the output and also please keep all of apt's
> metadata for further analysis.


OK. I will do this.


> For the md5sum errors - I see that you tagged this a rawhide bug, but are
> poiting to F10 repos and are using the F10 apt. Is the rawhide version correct
> or not?

Yes. That's correct. Because of the new metadata format.

> If so, can you please try apt-0.5.15lorg3.95-0.git416.4.fc11 instead?  

rebuilding the SRPM as I type.
Comment 13 Eli Wapniarski 2009-04-15 03:43:39 EDT
Built the SRPMS and installed successfully under F10.

I then uninstalled faac and then ran apt-get update and then apt-get -f dist-upgrade

apt-get did try to download the file from rpmfusion but then gave me the same error.

Failed to fetch http://download1.rpmfusion.org//free/fedora/updates/10/x86_64/./faac-1.28-1.fc10.x86_64.rpm  MD5Sum mismatch
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I was mistaken in one of my previous posts. The file was NOT in the archive folder. And as indicated previously yum has no problem with this.
Comment 14 Eli Wapniarski 2009-04-15 03:47:37 EDT
Created attachment 339636 [details]
1 of 2 Metadata file for rpmfusion free updates
Comment 15 Eli Wapniarski 2009-04-15 03:49:08 EDT
Created attachment 339637 [details]
2 of 2 metadata files for rpmfusion free updates
Comment 16 Eli Wapniarski 2009-05-12 01:22:21 EDT
Created attachment 343536 [details]
kde-redhat sqlite databases and xml files attachement 1 / 3

OK. Here is the missing file 404 error that I was talking about.

apt-get does this
-----------------
Err http://apt.kde-redhat.org fedora/10/x86_64/testing/ qt-x11 1:4.5.1-10.fc10                                                                               
  404 Not Found

while wget does this
--------------------


wget http://apt.kde-redhat.org/apt/kde-redhat/fedora/10/x86_64/RPMS.testing/qt-x11-4.5.1-10.fc10.x86_64.rpm
--2009-05-12 08:14:29--  http://apt.kde-redhat.org/apt/kde-redhat/fedora/10/x86_64/RPMS.testing/qt-x11-4.5.1-10.fc10.x86_64.rpm
Resolving apt.kde-redhat.org... 129.93.181.6
Connecting to apt.kde-redhat.org|129.93.181.6|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 16828338 (16M) [application/x-rpm]
Saving to: `qt-x11-4.5.1-10.fc10.x86_64.rpm'

100%[===================================================================================================================>] 16,828,338   198K/s   in 2m 4s

2009-05-12 08:16:34 (132 KB/s) - `qt-x11-4.5.1-10.fc10.x86_64.rpm' saved [16828338/16828338]
Comment 17 Eli Wapniarski 2009-05-12 01:24:24 EDT
Created attachment 343538 [details]
kde-redhat sqlite databases and xml files attachement 2 / 3
Comment 18 Eli Wapniarski 2009-05-12 01:25:43 EDT
Created attachment 343539 [details]
kde-redhat sqlite databases and xml files attachement 3 / 3
Comment 19 Bug Zapper 2009-06-09 09:47:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2010-04-27 09:40:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-06-28 07:49:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.